## fourrivers 1.1-1

=== Makefile ===
CFLAGS = -pipe -Wall -O6 -fomit-frame-pointer -funroll-loops -s -I /usr/include/freetype2 -I/usr/include/X11 -I.

DESTDIR = 
DIRS = ${DESTDIR}/usr/bin ${DESTDIR}/usr/share/pixmaps ${DESTDIR}/usr/share/rivers ${DESTDIR}/usr/share/applications/hildon
IMAGES = images/rivers_TilesN.jpg
ICONS = icons/rivers_icon.png

#CFLAGS = -Wall -O2 -pg -funroll-loops -g -I.
#CFLAGS = -Wall -O0 -funroll-loops -g -I.
#CFLAGS = -Wall -g -I.

ifneq ($(_SBOX_DIR),)
CFLAGS += -DNokia
endif

CC = gcc
LIBS = -L/usr/X11/lib -ljpeg -lesd -lX11 -lXft

.SUFFIXES: .c .h .asm .o

OBJ = rivers.o ini_file.o game.o sounds.o loadjpg.o justify.o

.c.o:
	$(CC) $(CFLAGS) -c $(DEFINES) $*.c

PROGS = rivers

all:	$(PROGS) 

$(OBJ):	rivers.h

rivers: $(OBJ)
	echo $(_SBOX_DIR)
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

clean:
	rm -f $(OBJ) *~ $(PROGS) build-stamp configure-stamp

install:
	install -d ${DIRS}
	install ${PROGS} ${DESTDIR}/usr/bin/
	install ${IMAGES} ${DESTDIR}/usr/share/rivers/
	install ${ICONS} ${DESTDIR}/usr/share/pixmaps/
	install rivers.desktop ${DESTDIR}/usr/share/applications/hildon/

deb:
	-dpkg-buildpackage -rfakeroot -d

=== debian/changelog ===
fourrivers (1.1-1) unstable; urgency=low

  * Code reorganized and added a few comments 
  * Added penalty messages
  * First deb package on maemo
 
 --  Missouga Dongi <maemo@la.mine.nu>  Tue,  7 Aug 2007 14:34:32 +0000

fourrivers (1.0-1) unstable; urgency=low

  * Initial Release.

 --  Missouga Dongi <maemo@la.mine.nu>  Fri,  3 Aug 2007 15:58:44 +0200

=== debian/control ===
Source: fourrivers
Section: user/games
Priority: optional
Maintainer:  Missouga Dongi <maemo@la.mine.nu>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: fourrivers
Architecture: any
Depends: ${shlibs:Depends}
Description: Four Rivers is a puzzle game inspired from Shisensho/Kyodai
 The board consists of 7x12 tiles which must be removed in pairs
 following some simple rules to complete the board.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/rivers.sgml > rivers.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/rivers.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/fourrivers


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
